Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000212 [Piwigo] users & groups major always 2005.11.17 20:13 2008.01.28 16:36
Reporter flipflip View Status public  
Assigned To plg
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 1.5.1 Product Version 1.5.0
  Target Version Product Build
Summary 0000212: Formulaire d'inscription non contrôlé
Description Dans le formulaire d'enregistrement, lorsqu'un utilisateur rentre ces informations il n'y a aucuns contrôles sur les données du formulaire. Pour le moment j'ai fais les tests suivants :
- le champ "Nom d'utilisateur" ne peut pas être vide (normal);
- les champs "mot de passe" et "Confirmation du mot de passe" peuvent être différent voir totalement vide;
- l'adresse email n'est pas contrôlé, elle peut être vide, ne pas comporter de @ ou de .xxx .

Dans les deux derniers cas, la création du compte est faite mais le formulaire revient comme si il y avait eu une erreur.
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0000439)
plg (manager)
2005.11.18 23:11

> - les champs "mot de passe" et "Confirmation du mot de passe"
> peuvent être différent voir totalement vide;

je reproduis en effet

> l'adresse email n'est pas contrôlée

faux, en tout cas, moi si je rentre n'importe quoi, je me fais jeter. Tu es bien sûr de toi pour l'adresse email ?
(0000444)
flipflip (reporter)
2005.11.19 13:30

Ha effectivement, il y a un contrôle qui est effectué. Mais le champs e-mail peut resté vide et c'est à ce moment là que le compte est créé. Si je rentre n'importe quoi sans @ ou . (je suppose) j'ai droit à une erreur.

Maintenant il me reste à bricoler le truc pour rendre l'adresse mail obligatoire.
(0000446)
plg (manager)
2005.11.19 16:06

changeset 945 : http://svn.gna.org/viewcvs/phpwebgallery?rev=945&view=rev [^]

- Issue History
Date Modified Username Field Change
2005.11.17 20:13 flipflip New Issue
2005.11.17 20:13 flipflip browser => any
2005.11.17 20:13 flipflip Web server => Apache 1.3.x
2005.11.18 23:11 plg Note Added: 0000439
2005.11.18 23:11 plg Assigned To => plg
2005.11.18 23:11 plg Status new => feedback
2005.11.19 13:30 flipflip Note Added: 0000444
2005.11.19 16:06 plg Note Added: 0000446
2005.11.19 16:06 plg Status feedback => resolved
2005.11.19 16:06 plg Resolution open => fixed
2005.11.19 16:06 plg Fixed in Version => 1.5.1
2008.01.28 16:36 mathiasm Status resolved => closed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker